Bug 1399240 - pod age is shown invalid by oc client
Summary: pod age is shown invalid by oc client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.6.z
Assignee: Fabiano Franz
QA Contact: Vikas Laad
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-28 15:50 UTC by Vikas Laad
Modified: 2021-03-03 14:18 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1718425 (view as bug list)
Environment:
Last Closed: 2017-12-07 07:10:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1299328 0 low CLOSED It's better to use current time from server instead of client to get resource age when using 'oc get/deploy/describe' et... 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2017:3389 0 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Enterprise security, bug fix, and enhancement update 2017-12-07 12:09:10 UTC

Internal Links: 1299328

Description Vikas Laad 2016-11-28 15:50:15 UTC
Description of problem:

When the pod status is ContainerCreating sometimes pod age is shown as <invalid> please see the below

root@jump-node: ~ # oc get pods --all-namespaces -o wide
NAMESPACE                                  NAME                        READY     STATUS              RESTARTS   AGE         IP             NODE
default                                    docker-registry-3-h3r8g     1/1       Running             0          9d          10.128.9.4     10.10.0.14
default                                    registry-console-1-jrwn7    1/1       Running             0          9d          10.128.8.2     10.10.0.17
default                                    router-1-hqyvp              1/1       Running             5          9d          10.10.0.16     10.10.0.16
default                                    router-1-ybfvx              1/1       Running             1          9d          10.10.0.14     10.10.0.14
extended-test-cli-deployment-gool9-s9abj   readiness-1-deploy          1/1       Running             0          16s         10.129.229.9   10.10.2.67
extended-test-cli-deployment-gool9-s9abj   readiness-1-y831m           0/1       ContainerCreating   0          <invalid>   <none>         10.10.2.65
vlaad27                                    buildconfig0-1-build        0/1       Terminating         0          8d          10.128.245.5   10.10.1.108
vlaad3                                     deploymentconfig1-1-md8ou   0/1       Terminating         0          8d          <none>         10.10.0.170
root@jump-node: ~ # oc get pods --all-namespaces -o wide
NAMESPACE                                  NAME                        READY     STATUS              RESTARTS   AGE       IP             NODE
default                                    docker-registry-3-h3r8g     1/1       Running             0          9d        10.128.9.4     10.10.0.14
default                                    registry-console-1-jrwn7    1/1       Running             0          9d        10.128.8.2     10.10.0.17
default                                    router-1-hqyvp              1/1       Running             5          9d        10.10.0.16     10.10.0.16
default                                    router-1-ybfvx              1/1       Running             1          9d        10.10.0.14     10.10.0.14
extended-test-cli-deployment-gool9-s9abj   readiness-1-deploy          1/1       Running             0          17s       10.129.229.9   10.10.2.67
extended-test-cli-deployment-gool9-s9abj   readiness-1-y831m           0/1       ContainerCreating   0          0s        <none>         10.10.2.65
vlaad27                                    buildconfig0-1-build        0/1       Terminating         0          8d        10.128.245.5   10.10.1.108
vlaad3                                     deploymentconfig1-1-md8ou   0/1       Terminating         0          8d        <none>         10.10.0.170


Version-Release number of selected component (if applicable):
openshift v3.4.0.26+f7e109e
kubernetes v1.4.0+776c994
etcd 3.1.0-rc.0


How reproducible:
Almost always

Steps to Reproduce:
1. Create an app which creates multiple pods
2. keep running "oc get pods" quickly
3. see the age in oc get pods

Actual results:
Age shown as <invalid>

Expected results:
Age should be shown as 0s

Additional info:

Comment 1 Vikas Laad 2016-11-28 19:52:51 UTC
Sometimes this error show up when pod is in Terminating status, nothing specific to ContainerCreating

root@jump-node: ~ # oc get pods --all-namespaces -o wide | grep -v default | grep -v vlaad
NAMESPACE                                  NAME                        READY     STATUS        RESTARTS   AGE         IP             NODE
extended-test-cli-deployment-fnojp-c5icl   history-limit-5-l9vkm       1/1       Terminating   0          21s         10.131.240.6   10.10.4.64
extended-test-cli-deployment-fnojp-c5icl   history-limit-6-f66kr       1/1       Running       0          2s          10.131.226.7   10.10.4.60
extended-test-cli-deployment-fnojp-c5icl   history-limit-7-deploy      0/1       Terminating   0          <invalid>   <none>         10.10.4.6

Comment 4 Juan Vallejo 2017-10-31 17:07:25 UTC
Hi Vikas,

Is this issue still happening with a 3.6 or 3.7 client?
I have been unable to reproduce this as well.

Comment 5 Vikas Laad 2017-10-31 17:24:33 UTC
No, I have not seen this issue with 3.6 or 3.7 client.

Comment 6 Juan Vallejo 2017-10-31 17:28:57 UTC
Vikas,

Thanks. Will move this to ON_QA.
I do not believe there are plans to backport this
as it was not marked as a blocker.

Comment 7 Vikas Laad 2017-11-01 18:36:52 UTC
Changing target release to 3.6 and making it verified. Did not encounter this bz with later releases.

Comment 10 errata-xmlrpc 2017-12-07 07:10:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3389


Note You need to log in before you can comment on or make changes to this bug.